Bug 241562 - Plasma crash on different situations (Kubuntu, DBusMenuImporter) [KJob::isAutoDelete, Plasma::ServiceJob::setResult, StatusNotifierItemJob::contextMenuReady, ..., DBusMenuImporter]
Summary: Plasma crash on different situations (Kubuntu, DBusMenuImporter) [KJob::isAut...
Status: RESOLVED UNMAINTAINED
Alias: None
Product: plasma4
Classification: Plasma
Component: widget-systemtray (show other bugs)
Version: 4.9.4
Platform: Ubuntu Linux
: VHI crash
Target Milestone: ---
Assignee: Bulat
URL:
Keywords:
: 241657 248527 253759 253943 254004 254005 254025 254035 254396 254435 254603 254698 254874 255095 255352 255356 255434 255607 255632 255806 256056 256142 256248 256383 256398 256782 256922 257038 257092 257473 257505 257645 257691 257791 258303 258339 258571 258612 258849 259088 259530 259930 260279 260710 261018 262062 262559 262582 262937 264250 264910 265352 265668 266062 266351 266605 267515 267524 267737 267979 268033 269350 269604 270477 270528 271038 276594 276865 282415 287419 299984 308191 308551 309132 311545 311993 313616 315976 320592 323166 324279 324730 (view as bug list)
Depends on:
Blocks:
 
Reported: 2010-06-12 16:24 UTC by Pieter Vande Wyngaerde
Modified: 2024-06-11 18:43 UTC (History)
42 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
earlier saved krashreport: plasma-desktop-20100611-003037.kcrash (13.93 KB, text/plain)
2010-06-12 16:27 UTC, Pieter Vande Wyngaerde
Details
earlier saved krashreport: plasma-desktop-20100612-140327.kcrash (14.45 KB, text/plain)
2010-06-12 16:30 UTC, Pieter Vande Wyngaerde
Details
another krash after I moved my .kde4 folder to start with an empty one (6.96 KB, text/plain)
2010-06-12 17:53 UTC, Pieter Vande Wyngaerde
Details
Another Backtrace (7.75 KB, text/plain)
2010-08-26 07:51 UTC, Alvise
Details
New crash information added by DrKonqi (14.03 KB, text/plain)
2010-10-13 13:19 UTC, Martin Tlustos
Details
New crash information added by DrKonqi (11.98 KB, text/plain)
2010-10-20 21:09 UTC, omega
Details
New crash information added by DrKonqi (7.46 KB, text/plain)
2010-10-21 13:40 UTC, Andre Knispel
Details
New crash information added by DrKonqi (7.86 KB, text/plain)
2010-10-25 13:42 UTC, blaze
Details
New crash information added by DrKonqi (7.43 KB, text/plain)
2010-10-26 22:30 UTC, D. Stiefe1maier
Details
New crash information added by DrKonqi (6.52 KB, text/plain)
2010-10-27 12:21 UTC, AK
Details
New crash information added by DrKonqi (15.31 KB, text/plain)
2010-11-08 13:51 UTC, Leandro
Details
New crash information added by DrKonqi (7.78 KB, text/plain)
2010-11-16 15:03 UTC, samuelss1996
Details
New crash information added by DrKonqi (9.49 KB, text/plain)
2010-11-17 20:34 UTC, Mikhail
Details
New crash information added by DrKonqi (7.29 KB, text/plain)
2010-11-19 09:11 UTC, mathiou57
Details
New crash information added by DrKonqi (7.31 KB, text/plain)
2010-11-19 18:02 UTC, Faur Ioan-Aurel
Details
New crash information added by DrKonqi (8.20 KB, text/plain)
2010-11-22 21:33 UTC, felipe.facundes
Details
New crash information added by DrKonqi (7.20 KB, text/plain)
2011-02-10 16:32 UTC, hanty
Details
New crash information added by DrKonqi (12.57 KB, text/plain)
2011-02-11 02:12 UTC, Aston
Details
New crash information added by DrKonqi (7.68 KB, text/plain)
2011-03-28 08:22 UTC, Dmitry
Details
New crash information added by DrKonqi (13.38 KB, text/plain)
2011-08-09 21:03 UTC, Oliver Henshaw
Details
New crash information added by DrKonqi (11.85 KB, text/plain)
2012-01-31 16:19 UTC, GK
Details
New crash information added by DrKonqi (8.27 KB, text/plain)
2012-05-02 17:13 UTC, Thibaut Renaux
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pieter Vande Wyngaerde 2010-06-12 16:24:42 UTC
Application: plasma-desktop (0.3)
KDE Platform Version: 4.4.85 (KDE 4.4.85 (KDE 4.5 Beta2))
Qt Version: 4.7.0
Operating System: Linux 2.6.32-22-generic i686
Distribution: Ubuntu 10.04 LTS

-- Information about the crash:
- What I was doing when the application crashed:

this occurs every time when logging out of kde.

I have Ubuntu lucid,  added the kubuntu 4.5 beta 2 repository.
later i installed the debugging symbols to have a usefull backtrace.

The crash can be reproduced every time.

-- Backtrace:
Application: Plasma Workspace (plasma-desktop), signal: Segmentation fault
[Current thread is 1 (Thread 0xb778c720 (LWP 1656))]

Thread 6 (Thread 0xaed66b70 (LWP 1689)):
#0  0x073d9e16 in clock_gettime () from /lib/tls/i686/cmov/librt.so.1
#1  0x01479ceb in do_gettime () at tools/qelapsedtimer_unix.cpp:105
#2  qt_gettime () at tools/qelapsedtimer_unix.cpp:119
#3  0x01550045 in QTimerInfoList::updateCurrentTime (this=0x98bbcd4) at kernel/qeventdispatcher_unix.cpp:339
#4  0x0155008a in QTimerInfoList::timerWait (this=0x98bbcd4, tm=...) at kernel/qeventdispatcher_unix.cpp:442
#5  0x0154e128 in timerSourcePrepareHelper (src=<value optimized out>, timeout=0xaed660ac) at kernel/qeventdispatcher_glib.cpp:136
#6  0x0154e1b5 in timerSourcePrepare (source=0x0, timeout=0x73ddff4) at kernel/qeventdispatcher_glib.cpp:169
#7  0x02c24aca in IA__g_main_context_prepare (context=0x98bc120, priority=0xaed6612c) at /build/buildd/glib2.0-2.24.1/glib/gmain.c:2280
#8  0x02c24ee9 in g_main_context_iterate (context=0x98bc120, block=<value optimized out>, dispatch=1, self=0x98bb900) at /build/buildd/glib2.0-2.24.1/glib/gmain.c:2571
#9  0x02c254b8 in IA__g_main_context_iteration (context=0x98bc120, may_block=1) at /build/buildd/glib2.0-2.24.1/glib/gmain.c:2654
#10 0x0154df1f in QEventDispatcherGlib::processEvents (this=0x9745458, flags=...) at kernel/qeventdispatcher_glib.cpp:414
#11 0x0151e1a9 in QEventLoop::processEvents (this=0xaed66280, flags=) at kernel/qeventloop.cpp:149
#12 0x0151e5fa in QEventLoop::exec (this=0xaed66280, flags=...) at kernel/qeventloop.cpp:201
#13 0x0141baee in QThread::exec (this=0x987b478) at thread/qthread.cpp:490
#14 0x014fd2eb in QInotifyFileSystemWatcherEngine::run (this=0x987b478) at io/qfilesystemwatcher_inotify.cpp:248
#15 0x0141edc9 in QThreadPrivate::start (arg=0x987b478) at thread/qthread_unix.cpp:266
#16 0x0012c96e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#17 0x0025ba4e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 5 (Thread 0xad179b70 (LWP 2067)):
#0  0x00537422 in __kernel_vsyscall ()
#1  0x00131015 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x002689dd in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x0141f997 in QWaitConditionPrivate::wait (this=0x97aec18, mutex=0x96a76c8, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0x97aec18, mutex=0x96a76c8, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0x00334890 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x97aec00, th=0x9a356a8) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0x0033803c in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x9762ab8, th=0x9a356a8) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0x00333dbb in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x97aec00, th=0x9a356a8) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0x00338132 in ThreadWeaver::WorkingHardState::applyForWork (this=0x9762ab8, th=0x9a356a8) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0x00334d93 in ThreadWeaver::WeaverImpl::applyForWork (this=0x97aec00, th=0x9a356a8, previous=0xa112f30) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0x003361be in ThreadWeaver::ThreadRunHelper::run (this=0xad1792e4, parent=0x97aec00, th=0x9a356a8) at ../../../threadweaver/Weaver/Thread.cpp:87
#11 0x003368db in ThreadWeaver::Thread::run (this=0x9a356a8) at ../../../threadweaver/Weaver/Thread.cpp:142
#12 0x0141edc9 in QThreadPrivate::start (arg=0x9a356a8) at thread/qthread_unix.cpp:266
#13 0x0012c96e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#14 0x0025ba4e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 4 (Thread 0xadd63b70 (LWP 2068)):
#0  0x00537422 in __kernel_vsyscall ()
#1  0x00131015 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x002689dd in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x0141f997 in QWaitConditionPrivate::wait (this=0x97aec18, mutex=0x96a76c8, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0x97aec18, mutex=0x96a76c8, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0x00334890 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x97aec00, th=0xa1eba60) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0x0033803c in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x9762ab8, th=0xa1eba60) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0x00333dbb in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x97aec00, th=0xa1eba60) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0x00338132 in ThreadWeaver::WorkingHardState::applyForWork (this=0x9762ab8, th=0xa1eba60) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0x00334d93 in ThreadWeaver::WeaverImpl::applyForWork (this=0x97aec00, th=0xa1eba60, previous=0xa434690) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0x003361be in ThreadWeaver::ThreadRunHelper::run (this=0xadd632e4, parent=0x97aec00, th=0xa1eba60) at ../../../threadweaver/Weaver/Thread.cpp:87
#11 0x003368db in ThreadWeaver::Thread::run (this=0xa1eba60) at ../../../threadweaver/Weaver/Thread.cpp:142
#12 0x0141edc9 in QThreadPrivate::start (arg=0xa1eba60) at thread/qthread_unix.cpp:266
#13 0x0012c96e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#14 0x0025ba4e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 3 (Thread 0xb04c4b70 (LWP 2069)):
#0  0x00537422 in __kernel_vsyscall ()
#1  0x00131015 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x002689dd in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x0141f997 in QWaitConditionPrivate::wait (this=0x97aec18, mutex=0x96a76c8, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0x97aec18, mutex=0x96a76c8, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0x00334890 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x97aec00, th=0xa12d568) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0x0033803c in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x9762ab8, th=0xa12d568) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0x00333dbb in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x97aec00, th=0xa12d568) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0x00338132 in ThreadWeaver::WorkingHardState::applyForWork (this=0x9762ab8, th=0xa12d568) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0x00334d93 in ThreadWeaver::WeaverImpl::applyForWork (this=0x97aec00, th=0xa12d568, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0x00338151 in ThreadWeaver::WorkingHardState::applyForWork (this=0x9762ab8, th=0xa12d568) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#11 0x00334d93 in ThreadWeaver::WeaverImpl::applyForWork (this=0x97aec00, th=0xa12d568, previous=0xa4c8990) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#12 0x003361be in ThreadWeaver::ThreadRunHelper::run (this=0xb04c42e4, parent=0x97aec00, th=0xa12d568) at ../../../threadweaver/Weaver/Thread.cpp:87
#13 0x003368db in ThreadWeaver::Thread::run (this=0xa12d568) at ../../../threadweaver/Weaver/Thread.cpp:142
#14 0x0141edc9 in QThreadPrivate::start (arg=0xa12d568) at thread/qthread_unix.cpp:266
#15 0x0012c96e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#16 0x0025ba4e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 2 (Thread 0xac978b70 (LWP 2070)):
#0  0x00537422 in __kernel_vsyscall ()
#1  0x00131015 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x002689dd in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x0141f997 in QWaitConditionPrivate::wait (this=0x97aec18, mutex=0x96a76c8, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0x97aec18, mutex=0x96a76c8, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0x00334890 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x97aec00, th=0x9c40430) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0x0033803c in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x9762ab8, th=0x9c40430) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0x00333dbb in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x97aec00, th=0x9c40430) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0x00338132 in ThreadWeaver::WorkingHardState::applyForWork (this=0x9762ab8, th=0x9c40430) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0x00334d93 in ThreadWeaver::WeaverImpl::applyForWork (this=0x97aec00, th=0x9c40430, previous=0x91a5418) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0x003361be in ThreadWeaver::ThreadRunHelper::run (this=0xac9782e4, parent=0x97aec00, th=0x9c40430) at ../../../threadweaver/Weaver/Thread.cpp:87
#11 0x003368db in ThreadWeaver::Thread::run (this=0x9c40430) at ../../../threadweaver/Weaver/Thread.cpp:142
#12 0x0141edc9 in QThreadPrivate::start (arg=0x9c40430) at thread/qthread_unix.cpp:266
#13 0x0012c96e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#14 0x0025ba4e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 1 (Thread 0xb778c720 (LWP 1656)):
[KCrash Handler]
#7  0x04f9ad9a in KJob::isAutoDelete (this=0xa403198) at ../../kdecore/jobs/kjob.cpp:353
#8  0x006ba9a7 in Plasma::ServiceJob::setResult (this=0xa403198, result=...) at ../../plasma/servicejob.cpp:80
#9  0x036d708d in StatusNotifierItemJob::contextMenuReady (this=0xa403198, menu=0x9fb04b8) at ../../../../../plasma/generic/dataengines/statusnotifieritem/statusnotifieritemjob.cpp:53
#10 0x036d710d in StatusNotifierItemJob::qt_metacall (this=0xa403198, _c=QMetaObject::InvokeMetaMethod, _id=27, _a=0xbffc1d28) at ./statusnotifieritemjob.moc:75
#11 0x0152542a in QMetaObject::metacall (object=0xa403198, cl=23407016, idx=27, argv=0xbffc1d28) at kernel/qmetaobject.cpp:237
#12 0x015381a5 in QMetaObject::activate (sender=0x9146d30, m=0x36ddc40, local_signal_index=0, argv=0xbffc1d28) at kernel/qobject.cpp:3280
#13 0x036d06b3 in StatusNotifierItemSource::contextMenuReady (this=0x9146d30, _t1=0x9fb04b8) at ./statusnotifieritemsource.moc:99
#14 0x036d0751 in StatusNotifierItemSource::contextMenuReady (this=0x9146d30) at ../../../../../plasma/generic/dataengines/statusnotifieritem/statusnotifieritemsource.cpp:286
#15 0x036d5ba3 in StatusNotifierItemSource::qt_metacall (this=0x9146d30, _c=QMetaObject::InvokeMetaMethod, _id=11, _a=0xbffc1e4c) at ./statusnotifieritemsource.moc:84
#16 0x0152542a in QMetaObject::metacall (object=0x9146d30, cl=23407016, idx=11, argv=0xbffc1e4c) at kernel/qmetaobject.cpp:237
#17 0x015381a5 in QMetaObject::activate (sender=0x988d678, m=0x2bd0dc4, local_signal_index=0, argv=0x0) at kernel/qobject.cpp:3280
#18 0x02bbf327 in DBusMenuImporter::menuReadyToBeShown() () from /usr/lib/libdbusmenu-qt.so.2
#19 0x02bc1f32 in DBusMenuImporter::slotAboutToShowDBusCallFinished(QDBusPendingCallWatcher*) () from /usr/lib/libdbusmenu-qt.so.2
#20 0x02bc45c7 in DBusMenuImporter::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/libdbusmenu-qt.so.2
#21 0x0152542a in QMetaObject::metacall (object=0x988d678, cl=23407016, idx=11, argv=0xbffc2088) at kernel/qmetaobject.cpp:237
#22 0x015381a5 in QMetaObject::activate (sender=0xa375bb0, m=0xb5fb68, local_signal_index=0, argv=0xbffc2088) at kernel/qobject.cpp:3280
#23 0x00b437d3 in QDBusPendingCallWatcher::finished (this=0xa375bb0, _t1=0xa375bb0) at .moc/release-shared/moc_qdbuspendingcall.cpp:92
#24 0x00b4386a in QDBusPendingCallWatcherPrivate::_q_finished (this=0xa375bb0, _c=QMetaObject::InvokeMetaMethod, _id=5, _a=0x97c5c18) at qdbuspendingcall.cpp:464
#25 QDBusPendingCallWatcher::qt_metacall (this=0xa375bb0, _c=QMetaObject::InvokeMetaMethod, _id=5, _a=0x97c5c18) at .moc/release-shared/moc_qdbuspendingcall.cpp:80
#26 0x0152542a in QMetaObject::metacall (object=0xa375bb0, cl=23407016, idx=5, argv=0x97c5c18) at kernel/qmetaobject.cpp:237
#27 0x01530916 in QMetaCallEvent::placeMetaCall (this=0xa43fb30, object=0xa375bb0) at kernel/qobject.cpp:534
#28 0x015321b2 in QObject::event (this=0xa375bb0, e=0x9188260) at kernel/qobject.cpp:1219
#29 0x0549632c in QApplicationPrivate::notify_helper (this=0x90f5cc8, receiver=0xa375bb0, e=0xa43fb30) at kernel/qapplication.cpp:4358
#30 0x0549d6fe in QApplication::notify (this=0x90eb900, receiver=0xa375bb0, e=0xa43fb30) at kernel/qapplication.cpp:3762
#31 0x00fa890a in KApplication::notify (this=0x90eb900, receiver=0xa375bb0, event=0xa43fb30) at ../../kdeui/kernel/kapplication.cpp:302
#32 0x0151f6cb in QCoreApplication::notifyInternal (this=0x90eb900, receiver=0xa375bb0, event=0xa43fb30) at kernel/qcoreapplication.cpp:732
#33 0x0152292b in QCoreApplication::sendEvent (receiver=0xa375bb0, event_type=43, data=0x90d4c68) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#34 QCoreApplicationPrivate::sendPostedEvents (receiver=0xa375bb0, event_type=43, data=0x90d4c68) at kernel/qcoreapplication.cpp:1373
#35 0x01522aed in QCoreApplication::sendPostedEvents (receiver=0xa375bb0, event_type=43) at kernel/qcoreapplication.cpp:1266
#36 0x00b43b7f in QDBusPendingCallWatcher::waitForFinished (this=0xa375bb0) at qdbuspendingcall.cpp:513
#37 0x02bbf52b in ?? () from /usr/lib/libdbusmenu-qt.so.2
#38 0x02bc26dc in DBusMenuImporter::slotMenuAboutToShow() () from /usr/lib/libdbusmenu-qt.so.2
#39 0x02bc4673 in DBusMenuImporter::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/libdbusmenu-qt.so.2
#40 0x0152542a in QMetaObject::metacall (object=0x988d678, cl=23407016, idx=9, argv=0xbffc289c) at kernel/qmetaobject.cpp:237
#41 0x015381a5 in QMetaObject::activate (sender=0xa4eea98, m=0x5dfa388, local_signal_index=0, argv=0x0) at kernel/qobject.cpp:3280
#42 0x0594fb07 in QMenu::aboutToShow (this=0xa4eea98) at .moc/release-shared/moc_qmenu.cpp:151
#43 0x059540a7 in QMenu::popup (this=0xa4eea98, p=..., atAction=0x0) at widgets/qmenu.cpp:1824
#44 0x05956a75 in QMenu::internalDelayedPopup (this=0x9fb04b8) at widgets/qmenu.cpp:3016
#45 0x05956ff6 in QMenu::timerEvent (this=0x9fb04b8, e=0xbffc31b0) at widgets/qmenu.cpp:2856
#46 0x01532014 in QObject::event (this=0x9fb04b8, e=0x9188260) at kernel/qobject.cpp:1183
#47 0x054f3946 in QWidget::event (this=0x9fb04b8, event=0xbffc31b0) at kernel/qwidget.cpp:8554
#48 0x05959c1f in QMenu::event (this=0x9fb04b8, e=0xbffc31b0) at widgets/qmenu.cpp:2420
#49 0x0549632c in QApplicationPrivate::notify_helper (this=0x90f5cc8, receiver=0x9fb04b8, e=0xbffc31b0) at kernel/qapplication.cpp:4358
#50 0x0549d799 in QApplication::notify (this=0x90eb900, receiver=0x9fb04b8, e=0xbffc31b0) at kernel/qapplication.cpp:4323
#51 0x00fa890a in KApplication::notify (this=0x90eb900, receiver=0x9fb04b8, event=0xbffc31b0) at ../../kdeui/kernel/kapplication.cpp:302
#52 0x0151f6cb in QCoreApplication::notifyInternal (this=0x90eb900, receiver=0x9fb04b8, event=0xbffc31b0) at kernel/qcoreapplication.cpp:732
#53 0x01551426 in QCoreApplication::sendEvent (this=0x90f8b74) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#54 QTimerInfoList::activateTimers (this=0x90f8b74) at kernel/qeventdispatcher_unix.cpp:602
#55 0x0154e1f4 in timerSourceDispatch (source=0x90f8b40) at kernel/qeventdispatcher_glib.cpp:184
#56 0x02c215e5 in g_main_dispatch (context=0x90f7e78) at /build/buildd/glib2.0-2.24.1/glib/gmain.c:1960
#57 IA__g_main_context_dispatch (context=0x90f7e78) at /build/buildd/glib2.0-2.24.1/glib/gmain.c:2513
#58 0x02c252d8 in g_main_context_iterate (context=0x90f7e78, block=<value optimized out>, dispatch=1, self=0x90f56b8) at /build/buildd/glib2.0-2.24.1/glib/gmain.c:2591
#59 0x02c254b8 in IA__g_main_context_iteration (context=0x90f7e78, may_block=1) at /build/buildd/glib2.0-2.24.1/glib/gmain.c:2654
#60 0x0154dee5 in QEventDispatcherGlib::processEvents (this=0x90f2348, flags=...) at kernel/qeventdispatcher_glib.cpp:412
#61 0x05557105 in QGuiEventDispatcherGlib::processEvents (this=0x90f2348, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#62 0x0151e1a9 in QEventLoop::processEvents (this=0xbffc3470, flags=) at kernel/qeventloop.cpp:149
#63 0x0151e5fa in QEventLoop::exec (this=0xbffc3470, flags=...) at kernel/qeventloop.cpp:201
#64 0x05954b0e in QMenu::exec (this=0x9fb04b8, p=..., action=0x0) at widgets/qmenu.cpp:2064
#65 0x033d03b8 in SystemTray::DBusSystemTrayWidget::showContextMenu (this=0xa01cfa8, job=0xa403198)
    at ../../../../../plasma/generic/applets/systemtray/protocols/dbussystemtray/dbussystemtraywidget.cpp:116
#66 0x033be487 in SystemTray::DBusSystemTrayWidget::qt_metacall (this=0xa01cfa8, _c=QMetaObject::InvokeMetaMethod, _id=39, _a=0xbffc36d8) at moc_dbussystemtraywidget.cpp:82
#67 0x0152542a in QMetaObject::metacall (object=0xa01cfa8, cl=23407016, idx=39, argv=0xbffc36d8) at kernel/qmetaobject.cpp:237
#68 0x015381a5 in QMetaObject::activate (sender=0xa403198, m=0x510db48, local_signal_index=3, argv=0xbffc36d8) at kernel/qobject.cpp:3280
#69 0x04f9b293 in KJob::result (this=0xa403198, _t1=0xa403198) at ./kjob.moc:194
#70 0x04f9b5f8 in KJob::emitResult (this=0xa403198) at ../../kdecore/jobs/kjob.cpp:312
#71 0x006ba9a7 in Plasma::ServiceJob::setResult (this=0xa403198, result=...) at ../../plasma/servicejob.cpp:80
#72 0x036d708d in StatusNotifierItemJob::contextMenuReady (this=0xa403198, menu=0x9fb04b8) at ../../../../../plasma/generic/dataengines/statusnotifieritem/statusnotifieritemjob.cpp:53
#73 0x036d710d in StatusNotifierItemJob::qt_metacall (this=0xa403198, _c=QMetaObject::InvokeMetaMethod, _id=27, _a=0xbffc38a8) at ./statusnotifieritemjob.moc:75
#74 0x0152542a in QMetaObject::metacall (object=0xa403198, cl=23407016, idx=27, argv=0xbffc38a8) at kernel/qmetaobject.cpp:237
#75 0x015381a5 in QMetaObject::activate (sender=0x9146d30, m=0x36ddc40, local_signal_index=0, argv=0xbffc38a8) at kernel/qobject.cpp:3280
#76 0x036d06b3 in StatusNotifierItemSource::contextMenuReady (this=0x9146d30, _t1=0x9fb04b8) at ./statusnotifieritemsource.moc:99
#77 0x036d0751 in StatusNotifierItemSource::contextMenuReady (this=0x9146d30) at ../../../../../plasma/generic/dataengines/statusnotifieritem/statusnotifieritemsource.cpp:286
#78 0x036d5ba3 in StatusNotifierItemSource::qt_metacall (this=0x9146d30, _c=QMetaObject::InvokeMetaMethod, _id=11, _a=0xbffc39cc) at ./statusnotifieritemsource.moc:84
#79 0x0152542a in QMetaObject::metacall (object=0x9146d30, cl=23407016, idx=11, argv=0xbffc39cc) at kernel/qmetaobject.cpp:237
#80 0x015381a5 in QMetaObject::activate (sender=0x988d678, m=0x2bd0dc4, local_signal_index=0, argv=0x0) at kernel/qobject.cpp:3280
#81 0x02bbf327 in DBusMenuImporter::menuReadyToBeShown() () from /usr/lib/libdbusmenu-qt.so.2
#82 0x02bc1f32 in DBusMenuImporter::slotAboutToShowDBusCallFinished(QDBusPendingCallWatcher*) () from /usr/lib/libdbusmenu-qt.so.2
#83 0x02bc45c7 in DBusMenuImporter::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/libdbusmenu-qt.so.2
#84 0x0152542a in QMetaObject::metacall (object=0x988d678, cl=23407016, idx=11, argv=0xbffc3c08) at kernel/qmetaobject.cpp:237
#85 0x015381a5 in QMetaObject::activate (sender=0xa3014a0, m=0xb5fb68, local_signal_index=0, argv=0xbffc3c08) at kernel/qobject.cpp:3280
#86 0x00b437d3 in QDBusPendingCallWatcher::finished (this=0xa3014a0, _t1=0xa3014a0) at .moc/release-shared/moc_qdbuspendingcall.cpp:92
#87 0x00b4386a in QDBusPendingCallWatcherPrivate::_q_finished (this=0xa3014a0, _c=QMetaObject::InvokeMetaMethod, _id=5, _a=0xa3ffbc8) at qdbuspendingcall.cpp:464
#88 QDBusPendingCallWatcher::qt_metacall (this=0xa3014a0, _c=QMetaObject::InvokeMetaMethod, _id=5, _a=0xa3ffbc8) at .moc/release-shared/moc_qdbuspendingcall.cpp:80
#89 0x0152542a in QMetaObject::metacall (object=0xa3014a0, cl=23407016, idx=5, argv=0xa3ffbc8) at kernel/qmetaobject.cpp:237
#90 0x01530916 in QMetaCallEvent::placeMetaCall (this=0xa3db700, object=0xa3014a0) at kernel/qobject.cpp:534
#91 0x015321b2 in QObject::event (this=0xa3014a0, e=0x9188260) at kernel/qobject.cpp:1219
#92 0x0549632c in QApplicationPrivate::notify_helper (this=0x90f5cc8, receiver=0xa3014a0, e=0xa3db700) at kernel/qapplication.cpp:4358
#93 0x0549d6fe in QApplication::notify (this=0x90eb900, receiver=0xa3014a0, e=0xa3db700) at kernel/qapplication.cpp:3762
#94 0x00fa890a in KApplication::notify (this=0x90eb900, receiver=0xa3014a0, event=0xa3db700) at ../../kdeui/kernel/kapplication.cpp:302
#95 0x0151f6cb in QCoreApplication::notifyInternal (this=0x90eb900, receiver=0xa3014a0, event=0xa3db700) at kernel/qcoreapplication.cpp:732
#96 0x0152292b in QCoreApplication::sendEvent (receiver=0xa3014a0, event_type=43, data=0x90d4c68) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#97 QCoreApplicationPrivate::sendPostedEvents (receiver=0xa3014a0, event_type=43, data=0x90d4c68) at kernel/qcoreapplication.cpp:1373
#98 0x01522aed in QCoreApplication::sendPostedEvents (receiver=0xa3014a0, event_type=43) at kernel/qcoreapplication.cpp:1266
#99 0x00b43b7f in QDBusPendingCallWatcher::waitForFinished (this=0xa3014a0) at qdbuspendingcall.cpp:513
#100 0x02bbf52b in ?? () from /usr/lib/libdbusmenu-qt.so.2
#101 0x02bc26dc in DBusMenuImporter::slotMenuAboutToShow() () from /usr/lib/libdbusmenu-qt.so.2
#102 0x02bc4673 in DBusMenuImporter::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/libdbusmenu-qt.so.2
#103 0x0152542a in QMetaObject::metacall (object=0x988d678, cl=23407016, idx=9, argv=0xbffc441c) at kernel/qmetaobject.cpp:237
#104 0x015381a5 in QMetaObject::activate (sender=0x9fb04b8, m=0x5dfa388, local_signal_index=0, argv=0x0) at kernel/qobject.cpp:3280
#105 0x0594fb07 in QMenu::aboutToShow (this=0x9fb04b8) at .moc/release-shared/moc_qmenu.cpp:151
#106 0x05956d83 in QMenu::qt_metacall (this=0x9fb04b8, _c=QMetaObject::InvokeMetaMethod, _id=0, _a=0xbffc456c) at .moc/release-shared/moc_qmenu.cpp:97
#107 0x0152542a in QMetaObject::metacall (object=0x9fb04b8, cl=23407016, idx=27, argv=0xbffc456c) at kernel/qmetaobject.cpp:237
#108 0x01528ef5 in QMetaMethod::invoke (this=0xbffc46fc, object=0x9fb04b8, connectionType=Qt::DirectConnection, returnValue=..., val0=..., val1=..., val2=..., val3=..., val4=..., val5=..., val6=..., 
    val7=..., val8=..., val9=...) at kernel/qmetaobject.cpp:1568
#109 0x0152a59f in QMetaObject::invokeMethod (obj=0x9fb04b8, member=0x36db8c0 "aboutToShow", type=Qt::AutoConnection, ret=..., val0=..., val1=..., val2=..., val3=..., val4=..., val5=..., val6=..., 
    val7=..., val8=..., val9=...) at kernel/qmetaobject.cpp:1148
#110 0x036d1b77 in QMetaObject::invokeMethod (this=0x9146d30, x=1140, y=8) at /usr/include/qt4/QtCore/qobjectdefs.h:424
#111 StatusNotifierItemSource::contextMenu (this=0x9146d30, x=1140, y=8) at ../../../../../plasma/generic/dataengines/statusnotifieritem/statusnotifieritemsource.cpp:392
#112 0x036d8646 in StatusNotifierItemJob::start (this=0xa403198) at ../../../../../plasma/generic/dataengines/statusnotifieritem/statusnotifieritemjob.cpp:43
#113 0x006ba823 in Plasma::ServiceJobPrivate::slotStart (this=0xa3ad458) at ../../plasma/servicejob.cpp:37
#114 0x006ba8f4 in Plasma::ServiceJob::qt_metacall (this=0xa403198, _c=QMetaObject::InvokeMetaMethod, _id=26, _a=0xa3a6608) at ./servicejob.moc:72
#115 0x036d70ea in StatusNotifierItemJob::qt_metacall (this=0xa403198, _c=QMetaObject::InvokeMetaMethod, _id=26, _a=0xa3a6608) at ./statusnotifieritemjob.moc:70
#116 0x0152542a in QMetaObject::metacall (object=0xa403198, cl=23407016, idx=26, argv=0xa3a6608) at kernel/qmetaobject.cpp:237
#117 0x01530916 in QMetaCallEvent::placeMetaCall (this=0xa3a7860, object=0xa403198) at kernel/qobject.cpp:534
#118 0x015321b2 in QObject::event (this=0xa403198, e=0x9188260) at kernel/qobject.cpp:1219
#119 0x0549632c in QApplicationPrivate::notify_helper (this=0x90f5cc8, receiver=0xa403198, e=0xa3a7860) at kernel/qapplication.cpp:4358
#120 0x0549d6fe in QApplication::notify (this=0x90eb900, receiver=0xa403198, e=0xa3a7860) at kernel/qapplication.cpp:3762
#121 0x00fa890a in KApplication::notify (this=0x90eb900, receiver=0xa403198, event=0xa3a7860) at ../../kdeui/kernel/kapplication.cpp:302
#122 0x0151f6cb in QCoreApplication::notifyInternal (this=0x90eb900, receiver=0xa403198, event=0xa3a7860) at kernel/qcoreapplication.cpp:732
#123 0x0152292b in QCoreApplication::sendEvent (receiver=0x0, event_type=0, data=0x90d4c68) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#124 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x90d4c68) at kernel/qcoreapplication.cpp:1373
#125 0x01522aed in QCoreApplication::sendPostedEvents (receiver=0x0, event_type=0) at kernel/qcoreapplication.cpp:1266
#126 0x0154e3ef in QCoreApplication::sendPostedEvents (s=0x90f7f00) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:220
#127 postEventSourceDispatch (s=0x90f7f00) at kernel/qeventdispatcher_glib.cpp:276
#128 0x02c215e5 in g_main_dispatch (context=0x90f7e78) at /build/buildd/glib2.0-2.24.1/glib/gmain.c:1960
#129 IA__g_main_context_dispatch (context=0x90f7e78) at /build/buildd/glib2.0-2.24.1/glib/gmain.c:2513
#130 0x02c252d8 in g_main_context_iterate (context=0x90f7e78, block=<value optimized out>, dispatch=1, self=0x90f56b8) at /build/buildd/glib2.0-2.24.1/glib/gmain.c:2591
#131 0x02c254b8 in IA__g_main_context_iteration (context=0x90f7e78, may_block=1) at /build/buildd/glib2.0-2.24.1/glib/gmain.c:2654
#132 0x0154dee5 in QEventDispatcherGlib::processEvents (this=0x90f2348, flags=...) at kernel/qeventdispatcher_glib.cpp:412
#133 0x05557105 in QGuiEventDispatcherGlib::processEvents (this=0x90f2348, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#134 0x0151e1a9 in QEventLoop::processEvents (this=0xbffc5484, flags=) at kernel/qeventloop.cpp:149
#135 0x0151e5fa in QEventLoop::exec (this=0xbffc5484, flags=...) at kernel/qeventloop.cpp:201
#136 0x01522baf in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1009
#137 0x05495157 in QApplication::exec () at kernel/qapplication.cpp:3637
#138 0x0083566e in kdemain (argc=1, argv=0xbffc5694) at ../../../../plasma/desktop/shell/main.cpp:118
#139 0x0804860b in main (argc=1, argv=0xbffc5694) at plasma-desktop_dummy.cpp:3

Reported using DrKonqi
Comment 1 Pieter Vande Wyngaerde 2010-06-12 16:27:30 UTC
Created attachment 47947 [details]
earlier saved krashreport: plasma-desktop-20100611-003037.kcrash
Comment 2 Pieter Vande Wyngaerde 2010-06-12 16:30:18 UTC
Created attachment 47948 [details]
earlier saved krashreport: plasma-desktop-20100612-140327.kcrash
Comment 3 Pieter Vande Wyngaerde 2010-06-12 17:53:54 UTC
Created attachment 47951 [details]
another krash after I moved my .kde4 folder to start with an empty one
Comment 4 Pieter Vande Wyngaerde 2010-06-12 17:59:39 UTC
after a meta+tab as suggested on http://chani.wordpress.com/2010/06/11/a-note-on-activityplasma-bugs/ i do not get this segfault on logout anymore.

I will try this again with the next set of kubuntu 4.5 packages and and empty .kde4 folder.
Comment 5 Beat Wolf 2010-06-12 19:39:37 UTC
closing for now in that case.
Comment 6 Beat Wolf 2010-06-13 17:42:36 UTC
*** Bug 241657 has been marked as a duplicate of this bug. ***
Comment 7 Nicolas L. 2010-08-20 18:35:41 UTC
still valid on kde 4.5.0  (  from bug 248527 ) 

-- Information about the crash:
- What I was doing when the application crashed:
I was trying to suspend/enable Strigi, from the system tray:
- open systray (on my system Nepomuk icon is set as always hidden)
- right click on Nepomuk icon
- click on "Suspend file indexing"

Thread 1 (Thread 0xb5910710 (LWP 1904)):
[KCrash Handler]
#7  KJob::isAutoDelete (this=0x9a35ce0) at
/usr/src/debug/kdelibs-4.5.0/kdecore/jobs/kjob.cpp:353
#8  0xb6fa65e0 in KJob::emitResult (this=0x9a35ce0) at
/usr/src/debug/kdelibs-4.5.0/kdecore/jobs/kjob.cpp:314
#9  0xb4e8ffa8 in Plasma::ServiceJob::setResult (this=0x9a35ce0, result=...) at
/usr/src/debug/kdelibs-4.5.0/plasma/servicejob.cpp:80
#10 0xab219486 in StatusNotifierItemJob::contextMenuReady (this=0x9a35ce0,
menu=0x885a698)
    at
/usr/src/debug/kdebase-workspace-4.5.0/plasma/generic/dataengines/statusnotifieritem/statusnotifieritemjob.cpp:53
#11 0xab219517 in StatusNotifierItemJob::qt_metacall (this=0x9a35ce0,
_c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0xbfc9e758)
    at
/usr/src/debug/kdebase-workspace-4.5.0/build/plasma/generic/dataengines/statusnotifieritem/statusnotifieritemjob.moc:75
#12 0xb6df4efd in QMetaObject::metacall (object=0x9a35ce0,
cl=QMetaObject::InvokeMetaMethod, idx=27, argv=0xbfc9e758) at
kernel/qmetaobject.cpp:237
#13 0xb6e03fe8 in QMetaObject::activate (sender=0x9043fe0, m=0xab227b7c,
local_signal_index=0, argv=0xbfc9e758) at kernel/qobject.cpp:3295
#14 0xab2190b5 in StatusNotifierItemSource::contextMenuReady (this=0x9043fe0,
_t1=0x885a698)
    at
/usr/src/debug/kdebase-workspace-4.5.0/build/plasma/generic/dataengines/statusnotifieritem/statusnotifieritemsource.moc:109
#15 0xab2190f1 in StatusNotifierItemSource::contextMenuReady (this=0x9043fe0)
at
/usr/src/debug/kdebase-workspace-4.5.0/plasma/generic/dataengines/statusnotifieritem/statusnotifieritemsource.cpp:362
Comment 8 Nicolas L. 2010-08-20 18:35:59 UTC
*** Bug 248527 has been marked as a duplicate of this bug. ***
Comment 9 Alvise 2010-08-26 07:51:01 UTC
Created attachment 50965 [details]
Another Backtrace

Here is another BT. This time the crashed happened while I was scrolling the notifications in systray
Comment 10 Beat Wolf 2010-10-11 12:48:30 UTC
*** Bug 253759 has been marked as a duplicate of this bug. ***
Comment 11 Beat Wolf 2010-10-13 11:28:22 UTC
*** Bug 253943 has been marked as a duplicate of this bug. ***
Comment 12 Beat Wolf 2010-10-13 11:28:28 UTC
*** Bug 254005 has been marked as a duplicate of this bug. ***
Comment 13 Beat Wolf 2010-10-13 11:28:31 UTC
*** Bug 254035 has been marked as a duplicate of this bug. ***
Comment 14 Beat Wolf 2010-10-13 11:30:41 UTC
*** Bug 254004 has been marked as a duplicate of this bug. ***
Comment 15 Beat Wolf 2010-10-13 11:30:45 UTC
*** Bug 254025 has been marked as a duplicate of this bug. ***
Comment 16 Martin Tlustos 2010-10-13 13:19:44 UTC
Created attachment 52484 [details]
New crash information added by DrKonqi

plasma-desktop (0.3) on KDE Platform 4.5.2 (KDE 4.5.2) using Qt 4.7.0

- What I was doing when the application crashed:
Clicking the software-update Button in the system tray.

- Unusual behavior I noticed:
kwin doesn't display window borders with fullscreen windows. Nepomuk often crashes, akonadi sometimes (probably unrelated)

-- Backtrace (Reduced):
#6  0x00007fc147b41344 in KJob::isAutoDelete (this=0x417b2d0) at ../../kdecore/jobs/kjob.cpp:353
#7  0x00007fc147b419f8 in KJob::emitResult (this=0x417b2d0) at ../../kdecore/jobs/kjob.cpp:314
#8  0x00007fc12cd0ec73 in StatusNotifierItemJob::contextMenuReady (this=0x417b2d0, menu=0x3d5b880) at ../../../../../plasma/generic/dataengines/statusnotifieritem/statusnotifieritemjob.cpp:53
#9  0x00007fc12cd0ece0 in StatusNotifierItemJob::qt_metacall (this=0x417b2d0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff42ec3d70) at ./statusnotifieritemjob.moc:75
[...]
#11 0x00007fc12cd08c7f in StatusNotifierItemSource::contextMenuReady (this=0x417b2d0, _t1=0x3d5b880) at ./statusnotifieritemsource.moc:109
Comment 17 Beat Wolf 2010-10-17 17:34:13 UTC
*** Bug 254396 has been marked as a duplicate of this bug. ***
Comment 18 Beat Wolf 2010-10-19 16:19:46 UTC
*** Bug 254603 has been marked as a duplicate of this bug. ***
Comment 19 Beat Wolf 2010-10-20 09:25:10 UTC
*** Bug 254698 has been marked as a duplicate of this bug. ***
Comment 20 omega 2010-10-20 21:09:26 UTC
Created attachment 52707 [details]
New crash information added by DrKonqi

plasma-desktop (0.3) on KDE Platform 4.5.2 (KDE 4.5.2) using Qt 4.7.0

- What I was doing when the application crashed:

 System updates just finished up and the udpate app refreshed and Plasma crashed and reloaded at that time.

-- Backtrace (Reduced):
#6  0x00007fc78333c344 in KJob::isAutoDelete (this=0x81cd820) at ../../kdecore/jobs/kjob.cpp:353
#7  0x00007fc78333c9f8 in KJob::emitResult (this=0x81cd820) at ../../kdecore/jobs/kjob.cpp:314
#8  0x00007fc763dbcc73 in StatusNotifierItemJob::contextMenuReady (this=0x81cd820, menu=0x6e54230) at ../../../../../plasma/generic/dataengines/statusnotifieritem/statusnotifieritemjob.cpp:53
#9  0x00007fc763dbcce0 in StatusNotifierItemJob::qt_metacall (this=0x81cd820, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7ffff5e7f7b0) at ./statusnotifieritemjob.moc:75
[...]
#11 0x00007fc763db6c7f in StatusNotifierItemSource::contextMenuReady (this=0x81cd820, _t1=0x6e54230) at ./statusnotifieritemsource.moc:109
Comment 21 Andre Knispel 2010-10-21 13:40:00 UTC
Created attachment 52715 [details]
New crash information added by DrKonqi

plasma-desktop (0.3) on KDE Platform 4.5.2 (KDE 4.5.2) using Qt 4.7.0

- What I was doing when the application crashed:

I was clicking at the update manager, to check how far the updates got. I only had that problem once with this application.

-- Backtrace (Reduced):
#6  0x00007f794e71a344 in KJob::isAutoDelete (this=0x224fbf0) at ../../kdecore/jobs/kjob.cpp:353
#7  0x00007f794e71a9f8 in KJob::emitResult (this=0x224fbf0) at ../../kdecore/jobs/kjob.cpp:314
#8  0x00007f79322b8c73 in StatusNotifierItemJob::contextMenuReady (this=0x224fbf0, menu=0x224f620) at ../../../../../plasma/generic/dataengines/statusnotifieritem/statusnotifieritemjob.cpp:53
#9  0x00007f79322b8ce0 in StatusNotifierItemJob::qt_metacall (this=0x224fbf0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffe0e065b0) at ./statusnotifieritemjob.moc:75
[...]
#11 0x00007f79322b2c7f in StatusNotifierItemSource::contextMenuReady (this=0x224fbf0, _t1=0x224f620) at ./statusnotifieritemsource.moc:109
Comment 22 Beat Wolf 2010-10-21 21:02:21 UTC
*** Bug 254874 has been marked as a duplicate of this bug. ***
Comment 23 Beat Wolf 2010-10-24 14:12:02 UTC
*** Bug 255095 has been marked as a duplicate of this bug. ***
Comment 24 blaze 2010-10-25 13:42:35 UTC
Created attachment 52853 [details]
New crash information added by DrKonqi

plasma-desktop (0.3) on KDE Platform 4.5.2 (KDE 4.5.2) using Qt 4.7.0

- What I was doing when the application crashed:

was doing updates check and closed out and clicked icon in task area

-- Backtrace (Reduced):
#6  0x00007f8bde9c3344 in KJob::isAutoDelete (this=0x1e92d90) at ../../kdecore/jobs/kjob.cpp:353
#7  0x00007f8bde9c39f8 in KJob::emitResult (this=0x1e92d90) at ../../kdecore/jobs/kjob.cpp:314
#8  0x00007f8bbe617c73 in StatusNotifierItemJob::contextMenuReady (this=0x1e92d90, menu=0x2b45100) at ../../../../../plasma/generic/dataengines/statusnotifieritem/statusnotifieritemjob.cpp:53
#9  0x00007f8bbe617ce0 in StatusNotifierItemJob::qt_metacall (this=0x1e92d90, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff01454640) at ./statusnotifieritemjob.moc:75
[...]
#11 0x00007f8bbe611c7f in StatusNotifierItemSource::contextMenuReady (this=0x1e92d90, _t1=0x2b45100) at ./statusnotifieritemsource.moc:109
Comment 25 D. Stiefe1maier 2010-10-26 22:30:46 UTC
Created attachment 52893 [details]
New crash information added by DrKonqi

plasma-desktop (0.3) on KDE Platform 4.5.1 (KDE 4.5.1) using Qt 4.7.0

- What I was doing when the application crashed:

i clicked the icon about available updates (Kubuntu 10.10)
(i append this here as bug 254874 was marked as a duplicate of this)

-- Backtrace (Reduced):
#6  0x00007f4a71a77304 in KJob::isAutoDelete (this=0x31d3050) at ../../kdecore/jobs/kjob.cpp:353
#7  0x00007f4a71a779b8 in KJob::emitResult (this=0x31d3050) at ../../kdecore/jobs/kjob.cpp:314
#8  0x00007f4a55fa6c73 in StatusNotifierItemJob::contextMenuReady (this=0x31d3050, menu=0x2faf110) at ../../../../../plasma/generic/dataengines/statusnotifieritem/statusnotifieritemjob.cpp:53
#9  0x00007f4a55fa6ce0 in StatusNotifierItemJob::qt_metacall (this=0x31d3050, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffb5986f10) at ./statusnotifieritemjob.moc:75
[...]
#11 0x00007f4a55fa0c7f in StatusNotifierItemSource::contextMenuReady (this=0x31d3050, _t1=0x2faf110) at ./statusnotifieritemsource.moc:109
Comment 26 AK 2010-10-27 12:21:48 UTC
Created attachment 52901 [details]
New crash information added by DrKonqi

plasma-desktop (0.3) on KDE Platform 4.5.1 (KDE 4.5.1) using Qt 4.7.0

- What I was doing when the application crashed:
 clicked on update manager icon in system tray, when update manager did not find any updates to install, plasma crashes

- Distribution: 
Kubuntu 10.10

-- Backtrace (Reduced):
#6  0x00007f85ba616304 in KJob::isAutoDelete (this=0x3254fa0) at ../../kdecore/jobs/kjob.cpp:353
#7  0x00007f85ba6169b8 in KJob::emitResult (this=0x3254fa0) at ../../kdecore/jobs/kjob.cpp:314
#8  0x00007f859ef7ac73 in StatusNotifierItemJob::contextMenuReady (this=0x3254fa0, menu=0x32f5650) at ../../../../../plasma/generic/dataengines/statusnotifieritem/statusnotifieritemjob.cpp:53
#9  0x00007f859ef7ace0 in StatusNotifierItemJob::qt_metacall (this=0x3254fa0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffb07b2650) at ./statusnotifieritemjob.moc:75
[...]
#11 0x00007f859ef74c7f in StatusNotifierItemSource::contextMenuReady (this=0x3254fa0, _t1=0x32f5650) at ./statusnotifieritemsource.moc:109
Comment 27 Beat Wolf 2010-10-28 10:30:37 UTC
*** Bug 255338 has been marked as a duplicate of this bug. ***
Comment 28 Beat Wolf 2010-10-28 10:32:46 UTC
*** Bug 255352 has been marked as a duplicate of this bug. ***
Comment 29 Beat Wolf 2010-10-28 10:33:33 UTC
*** Bug 255356 has been marked as a duplicate of this bug. ***
Comment 30 Beat Wolf 2010-10-28 10:36:18 UTC
*** Bug 255434 has been marked as a duplicate of this bug. ***
Comment 31 Beat Wolf 2010-11-02 10:28:59 UTC
*** Bug 255607 has been marked as a duplicate of this bug. ***
Comment 32 Beat Wolf 2010-11-02 10:29:03 UTC
*** Bug 255806 has been marked as a duplicate of this bug. ***
Comment 33 Beat Wolf 2010-11-02 10:30:55 UTC
*** Bug 255632 has been marked as a duplicate of this bug. ***
Comment 34 Beat Wolf 2010-11-05 10:31:41 UTC
*** Bug 256056 has been marked as a duplicate of this bug. ***
Comment 35 Thiago Jung Bauermann 2010-11-05 16:04:02 UTC
The impression I have is that this bug triggers when you click on a tray icon and it disappears right after its menu is shown.

In my case the tray icon is kpackagekit's. It follows plasma's new tray icon protocol so I guess the menu is displayed by the system tray itself? Perhaps it can't handle having an "orphaned" menu, I don't know
Comment 36 Thiago Jung Bauermann 2010-11-05 16:05:25 UTC
I forgot to mention that it still happens on KDE 4.5.3. Sorry for having to send an additional comment just for that.
Comment 37 Aaron J. Seigo 2010-11-05 23:52:31 UTC
*** Bug 256142 has been marked as a duplicate of this bug. ***
Comment 38 Leandro 2010-11-08 13:51:17 UTC
Created attachment 53243 [details]
New crash information added by DrKonqi

plasma-desktop (0.3) on KDE Platform 4.5.1 (KDE 4.5.1) using Qt 4.7.0

- What I was doing when the application crashed:

updating sytem and after this, the plasma restart

-- Backtrace (Reduced):
#7  0xb6a743aa in KJob::isAutoDelete (this=0xa228800) at ../../kdecore/jobs/kjob.cpp:353
#8  0xb759e5a7 in Plasma::ServiceJob::setResult (this=0xa228800, result=...) at ../../plasma/servicejob.cpp:80
#9  0xa8cc9d6d in StatusNotifierItemJob::contextMenuReady (this=0xa228800, menu=0xa138a90) at ../../../../../plasma/generic/dataengines/statusnotifieritem/statusnotifieritemjob.cpp:53
#10 0xa8cc9ded in StatusNotifierItemJob::qt_metacall (this=0xa228800, _c=QMetaObject::InvokeMetaMethod, _id=27, _a=0xbfe177c8) at ./statusnotifieritemjob.moc:75
[...]
[...]
#13 0xa8cc30a3 in StatusNotifierItemSource::contextMenuReady (this=0xa1a5d80, _t1=0xa138a90) at ./statusnotifieritemsource.moc:109
Comment 39 Dario Andres 2010-11-15 16:02:47 UTC
[Bug triager comment]
From bug 256383:
- What I was doing when the application crashed: 
I was searching some information on the web, I copied it to the clipboard to paste it on a OpenOffice document, which happened without problems. But after that, the system started to slow down until it stopped working.

From bug 256398:
- What I was doing when the application crashed:
It appens most likely every time the scheduled updates check starts, it happens
whether i'm using some apps or i'm simply logged in.

From bug 256922:
- What I was doing when the application crashed:
I  have turn on my computer , after my session opened   a window appear for
tape Sudokde password .
I tape my password , an  icon (look like updater for system) appear and i
clik on too see what are they : when the window for update details open, and
Plasma crashed
Comment 40 Dario Andres 2010-11-15 16:03:22 UTC
*** Bug 256383 has been marked as a duplicate of this bug. ***
Comment 41 Dario Andres 2010-11-15 16:03:28 UTC
*** Bug 256398 has been marked as a duplicate of this bug. ***
Comment 42 Dario Andres 2010-11-15 16:03:32 UTC
*** Bug 256922 has been marked as a duplicate of this bug. ***
Comment 43 Dario Andres 2010-11-15 16:21:53 UTC
[Bug triager comment]
From bug 256248:
- What I was doing when the application crashed:
I've seen KpackageKit in systray, and as surfing was very slow, I clicked on
systray.

From bug 256782:
- What I was doing when the application crashed:
only this, clicking the package kit icon when it was refreshing the cahe and
then crashed
Comment 44 Dario Andres 2010-11-15 16:23:06 UTC
*** Bug 256248 has been marked as a duplicate of this bug. ***
Comment 45 Dario Andres 2010-11-15 16:23:09 UTC
*** Bug 256782 has been marked as a duplicate of this bug. ***
Comment 46 Beat Wolf 2010-11-16 11:20:46 UTC
*** Bug 257038 has been marked as a duplicate of this bug. ***
Comment 47 samuelss1996 2010-11-16 15:03:00 UTC
Created attachment 53466 [details]
New crash information added by DrKonqi

plasma-desktop (0.3) on KDE Platform 4.5.1 (KDE 4.5.1) using Qt 4.7.0

- What I was doing when the application crashed:

I'm clicking on the kpackage it tray icon and the plasma crashed.

-- Backtrace (Reduced):
#7  0xb69b23aa in KJob::isAutoDelete (this=0x9c4f758) at ../../kdecore/jobs/kjob.cpp:353
#8  0xb74dc5a7 in Plasma::ServiceJob::setResult (this=0x9c4f758, result=...) at ../../plasma/servicejob.cpp:80
#9  0xab6c9d6d in StatusNotifierItemJob::contextMenuReady (this=0x9c4f758, menu=0x92290c0) at ../../../../../plasma/generic/dataengines/statusnotifieritem/statusnotifieritemjob.cpp:53
#10 0xab6c9ded in StatusNotifierItemJob::qt_metacall (this=0x9c4f758, _c=QMetaObject::InvokeMetaMethod, _id=27, _a=0xbf9bb5a8) at ./statusnotifieritemjob.moc:75
[...]
[...]
#13 0xab6c30a3 in StatusNotifierItemSource::contextMenuReady (this=0x9c07b50, _t1=0x92290c0) at ./statusnotifieritemsource.moc:109
Comment 48 Dario Andres 2010-11-16 21:50:32 UTC
[Comment from a bug triager]
From bug 257092:
- What I was doing when the application crashed:
I was running the Software Updates - KDE Control Module.  The Module was
running as normal then just crashed.  I am not too sure at what point it
crashed.  If it makes a difference I just updated to Fedora 14 from Fedora 13
Using the preupgrade.
Comment 49 Dario Andres 2010-11-16 21:50:52 UTC
*** Bug 257092 has been marked as a duplicate of this bug. ***
Comment 50 Mikhail 2010-11-17 20:34:18 UTC
Created attachment 53497 [details]
New crash information added by DrKonqi

plasma-desktop (0.3) on KDE Platform 4.5.3 (KDE 4.5.3) using Qt 4.7.0

Continuing an error occurs when the system restarts

-- Backtrace (Reduced):
#7  KJob::isAutoDelete (this=0xad5ea08) at ../../kdecore/jobs/kjob.cpp:353
#8  0x01ba8ae0 in KJob::emitResult (this=0xad5ea08) at ../../kdecore/jobs/kjob.cpp:314
#9  0x00419d07 in Plasma::ServiceJob::setResult (this=0xad5ea08, result=...) at ../../plasma/servicejob.cpp:80
#10 0x0210590d in StatusNotifierItemJob::contextMenuReady (this=0xad5ea08, menu=0xad15638) at ../../../../../plasma/generic/dataengines/statusnotifieritem/statusnotifieritemjob.cpp:53
#11 0x0210598d in StatusNotifierItemJob::qt_metacall (this=0xad5ea08, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0xbf86dd88) at ./statusnotifieritemjob.moc:75
Comment 51 mathiou57 2010-11-19 09:11:49 UTC
Created attachment 53539 [details]
New crash information added by DrKonqi

plasma-desktop (0.3) on KDE Platform 4.5.3 (KDE 4.5.3) using Qt 4.7.0

- What I was doing when the application crashed:

I've clickedont he update manager in the systray.

-- Backtrace (Reduced):
#6  0x00007fc65ed82594 in KJob::isAutoDelete (this=0x4e59d20) at ../../kdecore/jobs/kjob.cpp:353
#7  0x00007fc65ed82c48 in KJob::emitResult (this=0x4e59d20) at ../../kdecore/jobs/kjob.cpp:314
#8  0x00007fc641c55c73 in StatusNotifierItemJob::contextMenuReady (this=0x4e59d20, menu=0x4e7cb90) at ../../../../../plasma/generic/dataengines/statusnotifieritem/statusnotifieritemjob.cpp:53
#9  0x00007fc641c55ce0 in StatusNotifierItemJob::qt_metacall (this=0x4e59d20, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffc3ba1790) at ./statusnotifieritemjob.moc:75
[...]
#11 0x00007fc641c4fc7f in StatusNotifierItemSource::contextMenuReady (this=0x4e59d20, _t1=0x4e7cb90) at ./statusnotifieritemsource.moc:109
Comment 52 Faur Ioan-Aurel 2010-11-19 18:02:39 UTC
Created attachment 53553 [details]
New crash information added by DrKonqi

plasma-desktop (0.3) on KDE Platform 4.5.3 (KDE 4.5.3) using Qt 4.7.0

- What I was doing when the application crashed:
Doing some updates with Kpackage on my Kubuntu 10.10 with kde 4.5.3.
After update i closed the kpackage kit but there still a tray icon on my plasma bar!
Click on that tray icon and my plasma crash!After a few second my plasma restart ,and everything seems ok!

This thing happen all the time!

-- Backtrace (Reduced):
#7  0x00cda54a in KJob::isAutoDelete (this=0x9d4dbf8) at ../../kdecore/jobs/kjob.cpp:353
#8  0x00976637 in Plasma::ServiceJob::setResult (this=0x9d4dbf8, result=...) at ../../plasma/servicejob.cpp:80
[...]
[...]
[...]
[...]
[...]
[...]
[...]
[...]
[...]
#18 0x00e75567 in DBusMenuImporter::menuUpdated() () from /usr/lib/libdbusmenu-qt.so.2
#19 0x00e7acdc in DBusMenuImporter::slotMenuAboutToShow() () from /usr/lib/libdbusmenu-qt.so.2
#20 0x00e7bf2b in DBusMenuImporter::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/libdbusmenu-qt.so.2
Comment 53 Dario Andres 2010-11-21 13:57:11 UTC
[Comment from a bug triager]
From bug 257505:
- What I was doing when the application crashed:
I can't be too sure which one, but I'm fairly sure I tried to use one of the
system tray icons immediately after reawakening the machine from a suspend to
RAM.
Comment 54 Dario Andres 2010-11-21 13:57:13 UTC
*** Bug 257505 has been marked as a duplicate of this bug. ***
Comment 55 Dario Andres 2010-11-21 14:24:14 UTC
[Comment from a bug triager]
From bug 257473:
- What I was doing when the application crashed:
Plasma crashed when I clicked (missing) KPackagekit icon
Had just run a software installation.
- Unusual behavior I noticed:
The Kpackagekit icon which appears in the tray is seems to be missing - I get a
default icon (paper with a question mark). Kpackagekiticon has been crashing
too. Anyway, when I click that icon is when Plasma crashes.
Comment 56 Dario Andres 2010-11-21 14:24:27 UTC
*** Bug 257473 has been marked as a duplicate of this bug. ***
Comment 57 michael 2010-11-21 16:31:49 UTC
I've been looking at the crash reports including my own and noticing a common feature. The all have two lines to this effect
#10 0x0210590d in StatusNotifierItemJob::contextMenuReady (this=0xad5ea08, menu=0xad15638) at ../../../../../plasma/generic/dataengines/statusnotifieritem/statusnotifieritemjob.cpp:53
#11 0x0210598d in StatusNotifierItemJob::qt_metacall (this=0xad5ea08, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0xbf86dd88) at ./statusnotifieritemjob.moc:75

The rest of the stack trace appears to be variable other than the last entry. I strongly suspect statusnotifier is the causing this in some way.
Comment 58 felipe.facundes 2010-11-22 21:33:29 UTC
Created attachment 53642 [details]
New crash information added by DrKonqi

plasma-desktop (0.3) on KDE Platform 4.5.1 (KDE 4.5.1) using Qt 4.7.0

- What I was doing when the application crashed:
,l,/.ç,m õlnmjkm  [pok [pokplm, pokj[p-ok[oin [poij[pokm, [
piojm[polkm 
[-ok
- Unusual behavior I noticed:

- Custom settings of the application:

-- Backtrace (Reduced):
#6  0x00007ffcc49d2304 in KJob::isAutoDelete (this=0x373dd20) at ../../kdecore/jobs/kjob.cpp:353
#7  0x00007ffcc49d29b8 in KJob::emitResult (this=0x373dd20) at ../../kdecore/jobs/kjob.cpp:314
#8  0x00007ffca8c7cc73 in StatusNotifierItemJob::contextMenuReady (this=0x373dd20, menu=0x3729a70) at ../../../../../plasma/generic/dataengines/statusnotifieritem/statusnotifieritemjob.cpp:53
#9  0x00007ffca8c7cce0 in StatusNotifierItemJob::qt_metacall (this=0x373dd20, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffc32efce0) at ./statusnotifieritemjob.moc:75
[...]
#11 0x00007ffca8c76c7f in StatusNotifierItemSource::contextMenuReady (this=0x373dd20, _t1=0x3729a70) at ./statusnotifieritemsource.moc:109
Comment 59 Dario Andres 2010-11-22 21:48:24 UTC
*** Bug 257645 has been marked as a duplicate of this bug. ***
Comment 60 Beat Wolf 2010-11-24 11:50:44 UTC
*** Bug 257691 has been marked as a duplicate of this bug. ***
Comment 61 Dario Andres 2010-11-24 19:09:07 UTC
[Comment from a bug triager]
From bug 257791:
- What I was doing when the application crashed:
I was installing the new package versions (linux-headers, kernel and
alsa-maverick backports) after refreshing the package lists. I had no other
application opened (or minimized).
- Unusual behavior I noticed:
After the update, when the System Notification Helper says "Please reboot",
Plasma crashed and restarted.
Comment 62 Dario Andres 2010-11-24 19:09:32 UTC
*** Bug 257791 has been marked as a duplicate of this bug. ***
Comment 63 Beat Wolf 2010-11-30 13:58:32 UTC
*** Bug 258339 has been marked as a duplicate of this bug. ***
Comment 64 Aurelien Gateau 2010-12-01 21:26:29 UTC
SVN commit 1202665 by gateau:

Show the context menu asynchronously.

CCBUG:241562

 M  +4 -4      dbussystemtraywidget.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1202665
Comment 65 Dario Andres 2010-12-02 22:12:51 UTC
*** Bug 258303 has been marked as a duplicate of this bug. ***
Comment 66 Dario Andres 2010-12-02 22:12:53 UTC
*** Bug 258612 has been marked as a duplicate of this bug. ***
Comment 67 Dario Andres 2010-12-02 22:20:34 UTC
*** Bug 258571 has been marked as a duplicate of this bug. ***
Comment 68 Dario Andres 2010-12-04 15:25:12 UTC
[Comment from a bug triager]
Note: bug 254435 seems to have a related backtrae (KSNI, DBusMenImporter and a crash related to KJob deletion). They may have a common root cause / fix.
Comment 69 Nicolas L. 2010-12-05 23:55:09 UTC
*** Bug 258849 has been marked as a duplicate of this bug. ***
Comment 70 Aurelien Gateau 2010-12-06 15:14:09 UTC
I am quite confident it is fixed by r1202665. Please reopen if it still happens with Plasma 4.6.
Comment 71 Aurelien Gateau 2010-12-07 14:54:53 UTC
*** Bug 259088 has been marked as a duplicate of this bug. ***
Comment 72 alex 2010-12-08 05:06:40 UTC
eat me.

--
Alex J Avriette
http://www.spunfr.com/ (Harder Better Faster Stronger)
http://www.linkedin.com/in/avriette  (+1 858 3677293)



On Tue, Dec 7, 2010 at 8:54 AM, Aurelien Gateau <agateau@kde.org> wrote:

> https://bugs.kde.org/show_bug.cgi?id=241562
>
>
> Aurelien Gateau <agateau@kde.org> changed:
>
>           What    |Removed                     |Added
>
> ----------------------------------------------------------------------------
>                  CC|                            |jospoortvliet@gmail.com
>
>
>
>
> --- Comment #71 from Aurelien Gateau <agateau kde org>  2010-12-07 14:54:53
> ---
> *** Bug 259088 has been marked as a duplicate of this bug. ***
>
> --
> Configure bugmail: https://bugs.kde.org/userprefs.cgi?tab=email
> ------- You are receiving this mail because: -------
> You are on the CC list for the bug.
>
Comment 73 Dario Andres 2010-12-11 16:50:39 UTC
*** Bug 259530 has been marked as a duplicate of this bug. ***
Comment 74 Beat Wolf 2010-12-15 13:16:36 UTC
*** Bug 259930 has been marked as a duplicate of this bug. ***
Comment 75 Beat Wolf 2010-12-17 17:02:41 UTC
*** Bug 260279 has been marked as a duplicate of this bug. ***
Comment 76 Dario Andres 2010-12-19 15:55:41 UTC
*** Bug 260710 has been marked as a duplicate of this bug. ***
Comment 77 Dario Andres 2010-12-23 00:57:57 UTC
*** Bug 261018 has been marked as a duplicate of this bug. ***
Comment 78 Dario Andres 2010-12-23 01:05:08 UTC
[Comment from a bug triager]
@Aurelien: could you commit have also fixed bug 254435 ?
Also, could the commit be backported to 4.5 (for 4.5.5)
Thanks
Comment 79 Clemens Eisserer 2010-12-28 02:11:13 UTC
I've just experienced this crash while closing kopete from its systray menu.
Please backport to 4.5.5
Comment 80 Dario Andres 2010-12-30 18:35:11 UTC
SVN commit 1210324 by darioandres:

Backport "SVN commit 1202665 by gateau" to 4.5:

Show the context menu asynchronously.
CCBUG:241562



 M  +4 -4      dbussystemtraywidget.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1210324
Comment 81 Dario Andres 2010-12-30 18:56:31 UTC
*** Bug 254435 has been marked as a duplicate of this bug. ***
Comment 82 Aurelien Gateau 2011-01-04 10:01:10 UTC
(In reply to comment #80)
> SVN commit 1210324 by darioandres:
> 
> Backport "SVN commit 1202665 by gateau" to 4.5:

Thanks for taking care of this, Dario.

Aurélien
Comment 83 Nicolas L. 2011-01-05 00:53:14 UTC
*** Bug 262062 has been marked as a duplicate of this bug. ***
Comment 84 Dario Andres 2011-01-09 00:45:17 UTC
*** Bug 262582 has been marked as a duplicate of this bug. ***
Comment 85 Dario Andres 2011-01-09 00:45:26 UTC
*** Bug 262559 has been marked as a duplicate of this bug. ***
Comment 86 Marco Martin 2011-01-12 15:23:03 UTC
*** Bug 262937 has been marked as a duplicate of this bug. ***
Comment 87 Dario Andres 2011-01-29 14:09:37 UTC
*** Bug 264250 has been marked as a duplicate of this bug. ***
Comment 88 Dario Andres 2011-02-01 00:16:11 UTC
*** Bug 264910 has been marked as a duplicate of this bug. ***
Comment 89 Aaron J. Seigo 2011-02-04 10:11:37 UTC
*** Bug 265352 has been marked as a duplicate of this bug. ***
Comment 90 Dario Andres 2011-02-08 00:53:42 UTC
*** Bug 265668 has been marked as a duplicate of this bug. ***
Comment 91 hanty 2011-02-10 16:32:23 UTC
Created attachment 57115 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.6.00 (4.6.0) using Qt 4.7.1

- What I was doing when the application crashed: closing Kopete

- Unusual behavior I noticed: kopete's menues not open.

- Custom settings of the application: some additional modules is on.

-- Backtrace (Reduced):
#6  QMutex::lock (this=0x6000000041) at thread/qmutex.cpp:151
#7  0x00007fea981cfcce in QCoreApplication::postEvent (receiver=0x142c6b0, event=0xb05450, priority=0) at kernel/qcoreapplication.cpp:1141
[...]
#14 0x00007fea95aa0010 in DBusMenuImporter::slotMenuAboutToShow() () from /usr/lib64/libdbusmenu-qt.so.2
#15 0x00007fea95aa696c in DBusMenuImporter::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib64/libdbusmenu-qt.so.2
[...]
#17 0x00007fea977ac018 in QMenu::qt_metacall (this=0x13baed0, _c=QMetaObject::InvokeMetaMethod, _id=0, _a=0x7fff5c4d4020) at .moc/release-shared/moc_qmenu.cpp:97
Comment 92 Aston 2011-02-11 02:12:08 UTC
Created attachment 57145 [details]
New crash information added by DrKonqi

plasma-desktop (0.3) on KDE Platform 4.5.1 (KDE 4.5.1) using Qt 4.7.0

- What I was doing when the application crashed:

Clicked on the update manager, plasma crashed. Does not happen every time I do anything, but happens when I click in the task-tray.

-- Backtrace (Reduced):
#6  0x00007f730fb27304 in KJob::isAutoDelete (this=0x2825f50) at ../../kdecore/jobs/kjob.cpp:353
#7  0x00007f730fb279b8 in KJob::emitResult (this=0x2825f50) at ../../kdecore/jobs/kjob.cpp:314
#8  0x00007f72f2c28c73 in StatusNotifierItemJob::contextMenuReady (this=0x2825f50, menu=0x1edd300) at ../../../../../plasma/generic/dataengines/statusnotifieritem/statusnotifieritemjob.cpp:53
#9  0x00007f72f2c28ce0 in StatusNotifierItemJob::qt_metacall (this=0x2825f50, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff9d5da460) at ./statusnotifieritemjob.moc:75
[...]
#11 0x00007f72f2c22c7f in StatusNotifierItemSource::contextMenuReady (this=0x2825f50, _t1=0x1edd300) at ./statusnotifieritemsource.moc:109
Comment 93 Aaron J. Seigo 2011-02-18 17:34:15 UTC
*** Bug 266605 has been marked as a duplicate of this bug. ***
Comment 94 Kevin Couch 2011-02-21 00:40:32 UTC
Can you remove me from this mailing list? I do not wish to receive any more
messages in regard to this bug. Thank you.

Kevin Couch

On Fri, Feb 18, 2011 at 9:34 AM, Aaron J. Seigo <aseigo@kde.org> wrote:

> https://bugs.kde.org/show_bug.cgi?id=241562
>
>
> Aaron J. Seigo <aseigo@kde.org> changed:
>
>           What    |Removed                     |Added
>
> ----------------------------------------------------------------------------
>                 CC|                            |milimetr88@gmail.com
>
>
>
>
> --- Comment #93 from Aaron J. Seigo <aseigo kde org>  2011-02-18 17:34:15
> ---
> *** Bug 266605 has been marked as a duplicate of this bug. ***
>
> --
> Configure bugmail: https://bugs.kde.org/userprefs.cgi?tab=email
> ------- You are receiving this mail because: -------
> You are on the CC list for the bug.
>
Comment 95 Dario Andres 2011-03-05 11:48:31 UTC
*** Bug 267515 has been marked as a duplicate of this bug. ***
Comment 96 Dario Andres 2011-03-06 22:13:37 UTC
*** Bug 266351 has been marked as a duplicate of this bug. ***
Comment 97 Dario Andres 2011-03-06 22:13:40 UTC
*** Bug 267524 has been marked as a duplicate of this bug. ***
Comment 98 Dario Andres 2011-03-06 22:13:42 UTC
*** Bug 267737 has been marked as a duplicate of this bug. ***
Comment 99 Dario Andres 2011-03-11 00:29:16 UTC
*** Bug 268033 has been marked as a duplicate of this bug. ***
Comment 100 Dario Andres 2011-03-25 11:24:14 UTC
*** Bug 269350 has been marked as a duplicate of this bug. ***
Comment 101 Dmitry 2011-03-28 08:22:53 UTC
Created attachment 58389 [details]
New crash information added by DrKonqi

plasma-desktop (0.3) on KDE Platform 4.5.1 (KDE 4.5.1) using Qt 4.7.0

Update in KPackageKit, Status: "Update Distributive Information"

-- Backtrace (Reduced):
#7  0x06afc3aa in KJob::isAutoDelete (this=0xa41c290) at ../../kdecore/jobs/kjob.cpp:353
#8  0x0034f5a7 in Plasma::ServiceJob::setResult (this=0xa41c290, result=...) at ../../plasma/servicejob.cpp:80
#9  0x03c7fd6d in StatusNotifierItemJob::contextMenuReady (this=0xa41c290, menu=0xa4f3760) at ../../../../../plasma/generic/dataengines/statusnotifieritem/statusnotifieritemjob.cpp:53
#10 0x03c7fded in StatusNotifierItemJob::qt_metacall (this=0xa41c290, _c=QMetaObject::InvokeMetaMethod, _id=27, _a=0xbf8c8358) at ./statusnotifieritemjob.moc:75
[...]
[...]
#13 0x03c790a3 in StatusNotifierItemSource::contextMenuReady (this=0xa345b18, _t1=0xa4f3760) at ./statusnotifieritemsource.moc:109
Comment 102 Dario Andres 2011-04-09 14:03:49 UTC
*** Bug 270477 has been marked as a duplicate of this bug. ***
Comment 103 Dario Andres 2011-04-10 13:11:27 UTC
*** Bug 270528 has been marked as a duplicate of this bug. ***
Comment 104 Beat Wolf 2011-04-11 23:06:43 UTC
*** Bug 269604 has been marked as a duplicate of this bug. ***
Comment 105 Beat Wolf 2011-04-11 23:07:31 UTC
reopened after a backtrace from kde 4.6:

#6  KJob::isAutoDelete (this=0x28b6080) at
/usr/src/debug/kdelibs-4.6.0/kdecore/jobs/kjob.cpp:353
#7  0x00007f7aa7d443a8 in KJob::emitResult (this=0x28b6080) at
/usr/src/debug/kdelibs-4.6.0/kdecore/jobs/kjob.cpp:314
#8  0x00007f7a8ef23533 in StatusNotifierItemJob::contextMenuReady
(this=0x28b6080, menu=0x22dea10) at
/usr/src/debug/kdebase-workspace-4.6.0/plasma/generic/dataengines/statusnotifieritem/statusnotifieritemjob.cpp:53
#9  0x00007f7a8ef235a0 in StatusNotifierItemJob::qt_metacall (this=0x28b6080,
_c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff00d1c8d0)
at
/usr/src/debug/kdebase-workspace-4.6.0/build/plasma/generic/dataengines/statusnotifieritem/statusnotifieritemjob.moc:75
#10 0x00007f7aa7964def in QMetaObject::activate(QObject*, QMetaObject const*,
int, void**) () from /usr/lib64/libQtCore.so.4

more details on:
https://bugs.kde.org/show_bug.cgi?id=269604
Comment 106 Dario Andres 2011-04-16 00:12:21 UTC
*** Bug 271038 has been marked as a duplicate of this bug. ***
Comment 107 Oliver Henshaw 2011-08-09 21:03:47 UTC
Created attachment 62710 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.6.5 (4.6.5) using Qt 4.7.3

- Click on kpackagekit icon during automatic update.

-- Backtrace (Reduced):
#6  0x0000003eb1f39414 in KJob::isAutoDelete (this=0x1b569f0) at /usr/src/debug/kdelibs-4.6.5/kdecore/jobs/kjob.cpp:355
#7  0x0000003eb1f396f8 in KJob::emitResult (this=0x1b569f0) at /usr/src/debug/kdelibs-4.6.5/kdecore/jobs/kjob.cpp:314
#8  0x00007fd06c61b91c in StatusNotifierItemJob::contextMenuReady (this=0x1b569f0, menu=0x1d2a280) at /usr/src/debug/kdebase-workspace-4.6.5/plasma/generic/dataengines/statusnotifieritem/statusnotifieritemjob.cpp:53
#9  0x00007fd06c61b980 in StatusNotifierItemJob::qt_metacall (this=0x1b569f0, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fffd8eaf390) at /usr/src/debug/kdebase-workspace-4.6.5/x86_64-redhat-linux-gnu/plasma/generic/dataengines/statusnotifieritem/statusnotifieritemjob.moc:75
[...]
#11 0x00007fd06c61791f in StatusNotifierItemSource::contextMenuReady (this=<optimized out>, _t1=0x1d2a280) at /usr/src/debug/kdebase-workspace-4.6.5/x86_64-redhat-linux-gnu/plasma/generic/dataengines/statusnotifieritem/statusnotifieritemsource.moc:109
Comment 108 Dario Andres 2011-09-29 14:00:17 UTC
[Comment from a bug triager]
From bug 282415 (KDE SC 4.6.5):
- PackageKit was in the process of removing a packackage
- After I have klicked the information icon in the controlbar (single left
klick)
plasma hung up and crashed

The Icon didn't react after I have klicked it, the desktop hung up (cursor was
still movable) and turned black
Comment 109 Dario Andres 2011-09-29 14:00:22 UTC
*** Bug 282415 has been marked as a duplicate of this bug. ***
Comment 110 Beat Wolf 2011-11-21 12:56:24 UTC
*** Bug 276594 has been marked as a duplicate of this bug. ***
Comment 111 Beat Wolf 2011-11-24 08:01:21 UTC
*** Bug 287419 has been marked as a duplicate of this bug. ***
Comment 112 Beat Wolf 2011-11-24 08:02:02 UTC
*** Bug 266062 has been marked as a duplicate of this bug. ***
Comment 113 Aaron J. Seigo 2011-12-04 00:20:48 UTC
this looks like an issue in libqtdbusmenu: the StatusNotifierJob sets its result, qtdbusmenu re-emits its signal, repeat... i'm cc'ing the primary author of libqtdbusmenu (Aurelien) as may have some insight into this.
Comment 114 GK 2012-01-31 16:19:10 UTC
Created attachment 68372 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.8.00 (4.8.0 using Qt 4.7.4

- What I was doing when the application crashed:
I wanted to kill an icon from the system tray (Kmail or Kfeeder). Every time the Plasma crashes.

-- Backtrace (Reduced):
#7  0x05c1ceb7 in KJob::isAutoDelete (this=0xb39a508) at ../../kdecore/jobs/kjob.cpp:361
#8  0x05c1d2d0 in KJob::emitResult (this=0xb39a508) at ../../kdecore/jobs/kjob.cpp:320
#9  0x00291788 in Plasma::ServiceJob::setResult (this=0xb39a508, result=...) at ../../plasma/servicejob.cpp:92
#10 0x05360d06 in StatusNotifierItemJob::contextMenuReady (this=0xb39a508, menu=0xb00c6c0) at ../../../../../plasma/generic/dataengines/statusnotifieritem/statusnotifieritemjob.cpp:53
#11 0x05360d97 in StatusNotifierItemJob::qt_metacall (this=0xb39a508, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0xbffe42e8) at ./statusnotifieritemjob.moc:75
Comment 115 Thibaut Renaux 2012-05-02 17:13:09 UTC
Created attachment 70810 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.4 (4.7.4) using Qt 4.7.4

- What I was doing when the application crashed:
Used the context menu from an application icon in the system tray to close it; the application in question had been killed beforehand, and Plasma crashed when trying to close it.

-- Backtrace (Reduced):
#6  QCoreApplication::postEvent (receiver=0x43b47c0, event=0x43ee880, priority=0) at kernel/qcoreapplication.cpp:1188
#7  0x00007f43e7c0dbec in StatusNotifierItemJob::contextMenuReady (this=0x43b47c0, menu=0x3573360) at ../../../../../plasma/generic/dataengines/statusnotifieritem/statusnotifieritemjob.cpp:53
#8  0x00007f43e7c0dc50 in StatusNotifierItemJob::qt_metacall (this=0x43b47c0, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fff9d95f2c0) at ./statusnotifieritemjob.moc:75
[...]
#10 0x00007f43e7c09bdf in StatusNotifierItemSource::contextMenuReady (this=<optimized out>, _t1=0x3573360) at ./statusnotifieritemsource.moc:109
#11 0x00007f43e7c0cb6c in StatusNotifierItemSource::qt_metacall (this=0x348d150, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fff9d95f360) at ./statusnotifieritemsource.moc:90
Comment 116 Itay Greenspon 2012-05-05 11:02:36 UTC
Same thing for me, with debug symbols installed:


Application: Plasma Desktop Shell (plasma-desktop), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7ff57c763780 (LWP 1846))]

Thread 4 (Thread 0x7ff5567f3700 (LWP 1849)):
#0  0x00007fff669ff950 in ?? ()
#1  0x00007ff57049a15d in __GI_clock_gettime (clock_id=<optimized out>, tp=<optimized out>) at ../sysdeps/unix/clock_gettime.c:116
#2  0x00007ff579131bb4 in do_gettime (frac=0x7ff5567f2b98, sec=0x7ff5567f2b90) at tools/qelapsedtimer_unix.cpp:123
#3  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#4  0x00007ff579209b8d in QTimerInfoList::updateCurrentTime (this=0x7ff550002860) at kernel/qeventdispatcher_unix.cpp:343
#5  0x00007ff579209ec3 in QTimerInfoList::timerWait (this=0x7ff550002860, tm=...) at kernel/qeventdispatcher_unix.cpp:450
#6  0x00007ff57920897c in timerSourcePrepareHelper (src=<optimized out>, timeout=0x7ff5567f2c6c) at kernel/qeventdispatcher_glib.cpp:136
#7  0x00007ff579208a25 in timerSourcePrepare (source=<optimized out>, timeout=<optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#8  0x00007ff5701e871e in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#9  0x00007ff5701e8f1b in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#10 0x00007ff5701e9124 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#11 0x00007ff579209426 in QEventDispatcherGlib::processEvents (this=0x7ff5500008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#12 0x00007ff5791d8c82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#13 0x00007ff5791d8ed7 in QEventLoop::exec (this=0x7ff5567f2dd0, flags=...) at kernel/qeventloop.cpp:204
#14 0x00007ff5790d7fa7 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#15 0x00007ff5791b89ff in QInotifyFileSystemWatcherEngine::run (this=0x1258d60) at io/qfilesystemwatcher_inotify.cpp:248
#16 0x00007ff5790dafcb in QThreadPrivate::start (arg=0x1258d60) at thread/qthread_unix.cpp:298
#17 0x00007ff570aede9a in start_thread (arg=0x7ff5567f3700) at pthread_create.c:308
#18 0x00007ff57c0374bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#19 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7ff555219700 (LWP 1850)):
#0  0x00007ff5701e867e in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007ff5701e8f1b in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ff5701e9124 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007ff579209426 in QEventDispatcherGlib::processEvents (this=0x7ff5480008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007ff5791d8c82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007ff5791d8ed7 in QEventLoop::exec (this=0x7ff555218dd0, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007ff5790d7fa7 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#7  0x00007ff5791b89ff in QInotifyFileSystemWatcherEngine::run (this=0x12c57b0) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007ff5790dafcb in QThreadPrivate::start (arg=0x12c57b0) at thread/qthread_unix.cpp:298
#9  0x00007ff570aede9a in start_thread (arg=0x7ff555219700) at pthread_create.c:308
#10 0x00007ff57c0374bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7ff54ffff700 (LWP 1851)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007ff575fbd222 in ?? () from /usr/lib/x86_64-linux-gnu/libQtScript.so.4
#2  0x00007ff575fbd259 in ?? () from /usr/lib/x86_64-linux-gnu/libQtScript.so.4
#3  0x00007ff570aede9a in start_thread (arg=0x7ff54ffff700) at pthread_create.c:308
#4  0x00007ff57c0374bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7ff57c763780 (LWP 1846)):
[KCrash Handler]
#6  QMutex::lock (this=0x22f8818) at thread/qmutex.cpp:153
#7  0x00007ff5791dd4c9 in QCoreApplication::postEvent (receiver=0x23d7f60, event=0xba7ec0, priority=0) at kernel/qcoreapplication.cpp:1281
#8  0x00007ff55f1b9dac in StatusNotifierItemJob::contextMenuReady (this=0x23d7f60, menu=0x2467f30) at ../../../../../plasma/generic/dataengines/statusnotifieritem/statusnotifieritemjob.cpp:53
#9  0x00007ff5791ee281 in QMetaObject::activate (sender=0x1307d40, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff669f6dc0) at kernel/qobject.cpp:3547
#10 0x00007ff55f1b5dbf in StatusNotifierItemSource::contextMenuReady (this=<optimized out>, _t1=0x2467f30) at ./statusnotifieritemsource.moc:123
#11 0x00007ff55f1b8d15 in qt_static_metacall (_a=<optimized out>, _id=<optimized out>, _o=<optimized out>, _c=<optimized out>) at ./statusnotifieritemsource.moc:65
#12 StatusNotifierItemSource::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at ./statusnotifieritemsource.moc:58
#13 0x00007ff5791ee281 in QMetaObject::activate (sender=0x2460450, m=<optimized out>, local_signal_index=<optimized out>, argv=0x0) at kernel/qobject.cpp:3547
#14 0x00007ff57136479c in DBusMenuImporter::slotMenuAboutToShow() () from /usr/lib/x86_64-linux-gnu/libdbusmenu-qt.so.2
#15 0x00007ff5791ee281 in QMetaObject::activate (sender=0x2467f30, m=<optimized out>, local_signal_index=<optimized out>, argv=0x0) at kernel/qobject.cpp:3547
#16 0x00007ff5791e1f01 in QMetaMethod::invoke (this=0x7fff669f75c0, object=0x2467f30, connectionType=Qt::DirectConnection, returnValue=..., val0=..., val1=..., val2=..., val3=..., val4=..., val5=..., val6=..., val7=..., val8=..., val9=...) at kernel/qmetaobject.cpp:1664
#17 0x00007ff5791e4210 in QMetaObject::invokeMethod (obj=0x2467f30, member=<optimized out>, type=Qt::AutoConnection, ret=..., val0=..., val1=..., val2=..., val3=..., val4=..., val5=..., val6=..., val7=..., val8=..., val9=...) at kernel/qmetaobject.cpp:1179
#18 0x00007ff5713635a1 in DBusMenuImporter::updateMenu() () from /usr/lib/x86_64-linux-gnu/libdbusmenu-qt.so.2
#19 0x00007ff55f1b59bb in StatusNotifierItemSource::contextMenu (this=0x1307d40, x=1734, y=1181) at ../../../../../plasma/generic/dataengines/statusnotifieritem/statusnotifieritemsource.cpp:466
#20 0x00007ff55f1baf0f in StatusNotifierItemJob::start (this=0x23d7f60) at ../../../../../plasma/generic/dataengines/statusnotifieritem/statusnotifieritemjob.cpp:43
#21 0x00007ff5791f3446 in QObject::event (this=0x23d7f60, e=<optimized out>) at kernel/qobject.cpp:1195
#22 0x00007ff57855c894 in notify_helper (e=0x2490ff0, receiver=0x23d7f60, this=0x74cb30) at kernel/qapplication.cpp:4559
#23 QApplicationPrivate::notify_helper (this=0x74cb30, receiver=0x23d7f60, e=0x2490ff0) at kernel/qapplication.cpp:4531
#24 0x00007ff578561713 in QApplication::notify (this=0x768bf0, receiver=0x23d7f60, e=0x2490ff0) at kernel/qapplication.cpp:4420
#25 0x00007ff579eb6b46 in KApplication::notify (this=0x768bf0, receiver=0x23d7f60, event=0x2490ff0) at ../../kdeui/kernel/kapplication.cpp:311
#26 0x00007ff5791d9e9c in QCoreApplication::notifyInternal (this=0x768bf0, receiver=0x23d7f60, event=0x2490ff0) at kernel/qcoreapplication.cpp:876
#27 0x00007ff5791ddc6a in sendEvent (event=0x2490ff0, receiver=0x23d7f60) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#28 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x6f51f0) at kernel/qcoreapplication.cpp:1500
#29 0x00007ff579208f93 in sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:236
#30 postEventSourceDispatch (s=<optimized out>) at kernel/qeventdispatcher_glib.cpp:279
#31 0x00007ff5701e8c9a in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#32 0x00007ff5701e9060 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#33 0x00007ff5701e9124 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#34 0x00007ff5792093bf in QEventDispatcherGlib::processEvents (this=0x6f6ad0, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#35 0x00007ff578604d5e in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#36 0x00007ff5791d8c82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#37 0x00007ff5791d8ed7 in QEventLoop::exec (this=0x7fff669f86b0, flags=...) at kernel/qeventloop.cpp:204
#38 0x00007ff5791ddf67 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1148
#39 0x00007ff57c343a13 in kdemain (argc=1, argv=0x7fff669f8a98) at ../../../../plasma/desktop/shell/main.cpp:120
#40 0x00007ff57bf6676d in __libc_start_main (main=0x400640 <main(int, char**)>, argc=1, ubp_av=0x7fff669f8a98, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7fff669f8a88) at libc-start.c:226
#41 0x0000000000400671 in _start ()
Comment 117 Myriam Schweingruber 2012-05-22 21:11:02 UTC
*** Bug 267979 has been marked as a duplicate of this bug. ***
Comment 118 Jekyll Wu 2012-05-26 23:05:24 UTC
*** Bug 299984 has been marked as a duplicate of this bug. ***
Comment 119 Thijs 2012-06-22 08:52:24 UTC
*** Bug 294349 has been marked as a duplicate of this bug. ***
Comment 120 Thijs 2012-06-22 08:54:44 UTC
*** Bug 276865 has been marked as a duplicate of this bug. ***
Comment 121 Jekyll Wu 2012-10-10 20:23:02 UTC
*** Bug 308191 has been marked as a duplicate of this bug. ***
Comment 122 Jekyll Wu 2012-10-17 13:39:29 UTC
*** Bug 308551 has been marked as a duplicate of this bug. ***
Comment 123 Jekyll Wu 2012-10-28 21:43:18 UTC
*** Bug 309132 has been marked as a duplicate of this bug. ***
Comment 124 Christoph Feck 2013-01-28 00:19:01 UTC
*** Bug 311545 has been marked as a duplicate of this bug. ***
Comment 125 Christoph Feck 2013-01-28 00:20:21 UTC
*** Bug 313616 has been marked as a duplicate of this bug. ***
Comment 126 Christoph Feck 2013-03-02 02:13:13 UTC
*** Bug 315976 has been marked as a duplicate of this bug. ***
Comment 127 Martin Flöser 2013-06-06 10:12:54 UTC
*** Bug 320592 has been marked as a duplicate of this bug. ***
Comment 128 Dominik Haumann 2013-08-30 21:34:33 UTC
*** Bug 324279 has been marked as a duplicate of this bug. ***
Comment 129 Dominik Haumann 2013-08-30 21:35:17 UTC
*** Bug 323166 has been marked as a duplicate of this bug. ***
Comment 130 Dominik Haumann 2013-08-30 21:36:02 UTC
*** Bug 311993 has been marked as a duplicate of this bug. ***
Comment 131 Christoph Feck 2013-11-23 23:00:48 UTC
*** Bug 324730 has been marked as a duplicate of this bug. ***
Comment 132 Nate Graham 2018-06-08 18:49:55 UTC
Hello!

This bug report was filed for KDE Plasma 4, which reached end-of-support status in August 2015. KDE Plasma 5's desktop shell has been almost completely rewritten for better performance and usability, so it is likely that this bug is already resolved in Plasma 5.

Accordingly, we hope you understand why we must close this bug report. If the issue described  here is still present in KDE Plasma 5.12 or later, please feel free to open a new ticket in the "plasmashell" product after reading https://community.kde.org/Get_Involved/Bug_Reporting

If you would like to get involved in KDE's bug triaging effort so that future mass bug closes like this are less likely, please read https://community.kde.org/Get_Involved#Bug_Triaging

Thanks for your understanding!

Nate Graham